<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <title>CSS: Media Queries Exercise</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/2.3.2/css/bootstrap.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/2.3.2/css/bootstrap-responsive.css" rel="stylesheet">
  
</head>
<body>
    <div class="container">
        <h1>CSS: Media Queries Exercise</h1>
        <p>The goal of this exercise is to use CSS media queries to make a webpage appear
        different for printing and for different window sizes.
        </p>
        <ul>
            <li>Start with <a href="/csstools/exercises/exercise_media_before">this webpage</a>,
            which already has HTML and CSS for a header, navigation, content, sidebar, and footer. This is what it looks like:
            <p>
            <img src="csstools_exercise_1_before.png" style="border:1px solid black;">
            </p>
            <br><br>
            </li><li>Add a CSS media query and appropriate styles so that the webpage looks like the screenshot below when printed.
            Specifically:
            <ul>
                <li>The header, navigation, and footer should be hidden.
                </li><li>The sidebar should display under the main content.
            </li></ul>
            <p>
            <img src="csstools_exercise_1_before_print.png" style="border:1px solid black;">
            </p>
            <br><br>
            </li><li>Add a CSS media query and appropriate styles so that the webpage looks like the screenshots below
            when resized to smaller widths.
            Specifically:
                <ul>
                    <li>The sidebar should be hidden.
                    </li><li>The body should have no padding.
                    </li><li>The images shouldn't exceed the width of the window.
                    </li><li>The navigation items should each be on their own line.
                    </li><li>The header should be fixed, so that it stays at the top after scrolling.
                </li></ul>
            <p>
                </p><h4><strong>240x320: small phone</strong></h4>
            <img src="csstools_exercise_1_before_small_phone.png" style="border:1px solid black; margin-right:100px;">
                <h4><strong>320x470 Android normal</strong></h4>

            <img src="csstools_exercise_1_before_android.png" style="border:1px solid black; margin-top:20px;">
            <p></p>
            <br><br>
        </li></ul>

  <button class="btn" onclick="showSolution();">Show Solution</button>

   <div id="solution" style="display:none; margin-top: 20px;">
   <a href="/csstools/exercises/exercise_media_solution" target="_blank">View Solution in New Window</a>
   <p></p>

    <script>
function showSolution() {
  if (confirm('You surrrrre?')) {
    document.getElementById('solution').style.display = 'block';
    window.scrollTo(0, document.body.scrollHeight);
  }
}
  	</script>
    </div>
  

</div>
</body>
</html>